View Issue Details

IDProjectCategoryView StatusLast Update
0003480HTML & PERLFeature Request - Databasepublic2020-12-30 05:46
ReporterCDB-Man Assigned ToDerIdiot  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Summary0003480: Animetb: create a recalculation tool for the season field
DescriptionWhen the airing date is edited on an anime, users and mods often ignore the field because:
1) they can't figure it out easily in their head
2) they think it's going to automatically update

To help with this, on the anime edit page, there should be a button called "recalculate season" that edits the field for you, based on the new air dates entered, and populated the field.

A note should be added beside the button:
> "Please check that the recalculated season is correct, as the calculation does not consider instances where an anime has non-limited early airings of episode 1, with a delay for the remainder airings. For example, episode 1 was early aired on 19.09.2020 (summer), but the rest of the season airs 1 month later, with episode 1 re-airing on 07.10.2020 (autumn)."

Examples of the 1st airing issue:
https://anidb.net/anime/15342 -- episode 1 aired on 19.09.2020 (summer), but the rest of the episodes aired 1 month later, with episode 1 re-airing on 07.10.2020 (autumn). For this anime, episode 1 was broadly available when it streamed on Abema TV, so it would not count as a "limited airing", hence the airing date set as 19.09.2020 instead of 07.10.2020.

Wiki reference: https://wiki.anidb.net/Content:Anime#1st_Airings_at_Special_Events
Steps To ReproduceExamples where the user and/or mod did not change the field:

Example 1:
https://anidb.net/admin/creq/13489734
https://anidb.net/admin/creq/13697937

Example 2:
https://anidb.net/admin/creq/12722376
https://anidb.net/admin/creq/13697938
TagsNo tags attached.

Activities

DerIdiot

2020-12-27 19:57

administrator   ~0004451

it is recalculated if the season is emptied. the backend can't know the intent of the user and not changing the season when the date changes may very well be intentional. hence this is a PEBCAK issue that can't be fixed with tech.

CDB-Man

2020-12-27 20:10

manager   ~0004452

Last edited: 2020-12-27 20:11

View 2 revisions

Hmm, in that case to try and help with PEBCAK, is it possible to add something like a js-generated message, if the user has edited the date field, a popup message or something appears in red text under the date field, saying "You have edited the airing dates of this anime; please validate to ensure the season settings are still accurate." To catch the attention of the user and hopefully trigger them into at least thinking about it?

If we can't make it auto popup, then just static text addition to the form is fine as well. A red text warning saying "If you are changing the airing dates, please validate to ensure the season settings are still accurate."

Issue History

Date Modified Username Field Change
2020-11-18 04:13 CDB-Man New Issue
2020-11-18 04:14 CDB-Man Steps to Reproduce Updated View Revisions
2020-11-18 04:29 CDB-Man Description Updated View Revisions
2020-11-18 04:37 CDB-Man Summary Animetb: create a cron job that updates the "season" fields => Animetb: create a recalculation tool for the season field
2020-11-18 04:37 CDB-Man Description Updated View Revisions
2020-11-18 04:44 CDB-Man Description Updated View Revisions
2020-11-18 04:44 CDB-Man Steps to Reproduce Updated View Revisions
2020-11-18 04:48 CDB-Man Description Updated View Revisions
2020-11-18 04:50 CDB-Man Description Updated View Revisions
2020-11-18 04:51 CDB-Man Description Updated View Revisions
2020-11-18 04:56 CDB-Man Description Updated View Revisions
2020-12-27 19:56 DerIdiot Project AniDB Website => HTML & PERL
2020-12-27 19:57 DerIdiot Assigned To => DerIdiot
2020-12-27 19:57 DerIdiot Status new => closed
2020-12-27 19:57 DerIdiot Resolution open => fixed
2020-12-27 19:57 DerIdiot Note Added: 0004451
2020-12-27 20:10 CDB-Man Note Added: 0004452
2020-12-27 20:11 CDB-Man Note Edited: 0004452 View Revisions